Create a Chart in jQuery Using FusionCharts

FusionCharts is a JavaScript charting library that enables you to create interactive charts, gauges, maps and dashboards in JavaScript. We have built a simple and lightweight jQuery plugin which provides bindings for FusionCharts. The jquery-fusioncharts plugin allows you to easily add rich and interactive charts to any jQuery project.

On this page, we'll see how to install FusionCharts and render a chart using the jquery-fusionCharts plugin.

Prerequisite

In case of including Fusioncharts dependencies from CDN or Local Files, you can skip this step and get started with the code mentioned in the below steps.

  • jQuery requires Node.js and NPM installed your machine. Please check it by running node -v and npm -v respectively. If either of them returns command not found, then please go to Node.js website to install it properly.

Initialize npm, install webpack locally, and install the webpack-cli. Make sure you run npx webpack command in the terminal to ensure that the build is successful.

Follow the steps mentioned here to initialize a jQuery project through npm. If you choose to install fusioncharts package via npm, make sure you have Node.js and NPM installed in your system. Please check it by running node -v and npm -v respectively. To get Node.js, go to the official website.

Installation and including dependencies

To install the FusionCharts package and the jquery-fusioncharts component include the following code in the html file

<head>
    <!-- jQuery -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <!-- FusionCharts -->
    <script type="text/javascript" src="https://cdn.fusioncharts.com/fusioncharts/latest/fusioncharts.js"></script>
    <!-- jQuery-FusionCharts -->
    <script type="text/javascript" src="https://rawgit.com/fusioncharts/fusioncharts-jquery-plugin/develop/dist/fusioncharts.jqueryplugin.min.js"></script>
    <!-- Fusion Theme -->
    <script type="text/javascript" src="https://cdn.fusioncharts.com/fusioncharts/latest/themes/fusioncharts.theme.fusion.js"></script>
</head>

Include the FusionCharts JavaScript files which can be downloaded from here.

<head>
    <!-- jQuery -->
    <script type="text/javascript" src="path/to/local/jquery.min.js"></script>
    <!-- FusionCharts -->
    <script type="text/javascript" src="path/to/local/fusioncharts.js"></script>
    <!-- jQuery-FusionCharts -->
    <script type="text/javascript" src="path/to/local/jquery-fusioncharts.js"></script>
    <!-- Fusion Theme -->
    <script type="text/javascript" src="path/to/local/fusioncharts.theme.fusion.js"></script>
</head>

Follow the steps mentioned here to initialize a jQuery project through npm.
You can install the jquery-fusioncharts and fusioncharts components through npm as shown below

    $ npm install jquery-fusioncharts fusioncharts --save

After installing the fusioncharts components, add the references for the dependencies within index.js. Import all the required dependencies to get started.

//Including FusionCharts Dependencies
var FusionCharts = require('fusioncharts');
var Charts = require('fusioncharts/fusioncharts.charts');
var FusionTheme = require('fusioncharts/themes/fusioncharts.theme.fusion');
var $ = require('jquery');
var jQueryFusionCharts = require('jquery-fusioncharts');

Charts(FusionCharts); // Resolve Charts as dependency for FusionCharts

FusionTheme(FusionCharts); // Resolve Fusion theme as dependency for FusionCharts

jQueryFusionCharts(FusionCharts); //Resolve jQueryFusionCharts as dependency for FusionCharts


That completes the installation of FusionCharts and the jquery-fusioncharts plugin.

Preparing the data

Let's create a chart showing the "Countries With Most Oil Reserves". The data of the oil reserves present in various countries is shown in tabular form below.

Country No. of Oil Reserves
Venezuela 290K
Saudi 260K
Canada 180K
Iran 140K
Russia 115K
UAE 100K
US 30K
China 30K

Since we are plotting a single dataset, let us create a column 2D chart with 'countries' as data labels along the x-axis and 'No. of oil reserves' as data values along y-axis. Let us prepare the data for a single-series chart.

FusionCharts accepts the data in JSON format. So the above data in the tabular form will take the below shape.

// Preparing the chart data
const chartData = [
  {
    label: "Venezuela",
    value: "290"
  },
  {
    label: "Saudi",
    value: "260"
  },
  {
    label: "Canada",
    value: "180"
  },
  {
    label: "Iran",
    value: "140"
  },
  {
    label: "Russia",
    value: "115"
  },
  {
    label: "UAE",
    value: "100"
  },
  {
    label: "US",
    value: "30"
  },
  {
    label: "China",
    value: "30"
  }
];

Configure your chart

Now that the data is ready, let's work on the styling, positioning and giving your chart a context.

// Create a JSON object to store the chart configurations
const chartConfigs = {
  type: "column2d", //Set the chart type
  width: "700", //Set the chart width
  height: "400", //Set the chart height
  dataFormat: "json", //Set the type of data
  chart: {
    caption: "Countries With Most Oil Reserves [2017-18]", //Set the chart caption
    subCaption: "In MMbbl = One Million barrels", //Set the chart subcaption
    xAxisName: "Country", //Set the x-axis name
    yAxisName: "Reserves (MMbbl)", //Set the y-axis name
    numberSuffix: "K",
    theme: "fusion" //Set the theme for your chart
  },
  // Chart Data - from step 2
  data: chartData
};

Have a look at different chart types with their aliases here.

Render the chart

Get ready to render your first chart finally with the steps below:


<html>
    <head>
        <!-- Include jQuery -->
        <script type="text/javascript" src=" https://code.jquery.com/jquery-3.3.1.min.js"></script>
        <!-- Include fusioncharts core library file -->
        <script type="text/javascript" src=" https://cdn.fusioncharts.com/fusioncharts/latest/fusioncharts.js"></script>
        <!-- Include fusion theme file -->
        <script type="text/javascript" src=" https://cdn.fusioncharts.com/fusioncharts/latest/themes/fusioncharts.theme.fusion.js"></script>
        <!-- Include fusioncharts jquery plugin -->
        <script type="text/javascript" src=" https://rawgit.com/fusioncharts/fusioncharts-jquery-plugin/develop/dist/fusioncharts.jqueryplugin.min.js"></script>
    </head>
    <body>
        <script type="text/javascript">
            //STEP 2 - Chart Data
            const chartData = [{
                label: "Venezuela",
                value: "290"
            }, {
                label: "Saudi",
                value: "260"
            }, {
                label: "Canada",
                value: "180"
            }, {
                label: "Iran",
                value: "140"
            }, {
                label: "Russia",
                value: "115"
            }, {
                label: "UAE",
                value: "100"
            }, {
                label: "US",
                value: "30"
            }, {
                label: "China",
                value: "30"
            }]
            //STEP 3 - Chart Configurations
            const chartConfigs = {
                type: "column2d",
                width: "700",
                height: "400",
                dataFormat: "json",
                dataSource: {
                    // Chart Configuration
                    "chart": {
                        "caption": "Countries With Most Oil Reserves [2017-18]",
                        "subCaption": "In MMbbl = One Million barrels",
                        "xAxisName": "Country",
                        "yAxisName": "Reserves (MMbbl)",
                        "numberSuffix": "K",
                        "theme": "fusion",
                    },
                    // Chart Data
                    "data": chartData
                }
            }
            // Create a chart container
            $('document').ready(function () {
                $("#chart-container").insertFusionCharts(chartConfigs);
            });
        </script>
        <div id="chart-container">FusionCharts will render here</div>
    </body>
</html>


<html>
    <head>
        <!-- Include jQuery -->
        <script type="text/javascript" src="path/to/local/jquery-3.3.1.min.js"></script>
        <!-- Include fusioncharts core library file -->
        <script type="text/javascript" src="path/to/local/fusioncharts.js"></script>
        <!-- Include fusion theme file -->
        <script type="text/javascript" src="path/to/local/themes/fusioncharts.theme.fusion.js"></script>
        <!-- Include fusioncharts jquery plugin -->
        <script type="text/javascript" src="path/to/local/fusioncharts.jqueryplugin.min.js"></script>
    </head>
    <body>
        <script type="text/javascript">
            //STEP 2 - Chart Data
            const chartData = [{
                label: "Venezuela",
                value: "290"
            }, {
                label: "Saudi",
                value: "260"
            }, {
                label: "Canada",
                value: "180"
            }, {
                label: "Iran",
                value: "140"
            }, {
                label: "Russia",
                value: "115"
            }, {
                label: "UAE",
                value: "100"
            }, {
                label: "US",
                value: "30"
            }, {
                label: "China",
                value: "30"
            }];
          //STEP 3 - Chart Configurations
            const chartConfigs = {
                type: "column2d",
                width: "700",
                height: "400",
                dataFormat: "json",
                dataSource: {
                    // Chart Configuration
                    "chart": {
                        "caption": "Countries With Most Oil Reserves [2017-18]",
                        "subCaption": "In MMbbl = One Million barrels",
                        "xAxisName": "Country",
                        "yAxisName": "Reserves (MMbbl)",
                        "numberSuffix": "K",
                        "theme": "fusion",
                    },
                    // Chart Data
                    "data": chartData
                }
            }
            // Create a chart container
            $('document').ready(function () {
                $("#chart-container").insertFusionCharts(chartConfigs);
            });
        </script>
        <div id="chart-container">FusionCharts will render here</div>
    </body>
</html>

Step 1: In index.js include the necessary files and import the fusioncharts dependency. The consolidated code is shown below:

var FusionCharts = require('fusioncharts');
var Charts = require('fusioncharts/fusioncharts.charts');
var FusionTheme = require('fusioncharts/themes/fusioncharts.theme.fusion');
var $ = require('jquery');
var jQueryFusionCharts = require('jquery-fusioncharts');
$('document').ready(function () {
    Charts(FusionCharts); // Resolve Charts as dependency for FusionCharts
    FusionTheme(FusionCharts);  // Resolve Fusion theme as dependency for FusionCharts
    jQueryFusionCharts(FusionCharts); //Resolve jQueryFusionCharts as dependency for FusionCharts
    //STEP 2 - Chart Data
    const chartData = [{
        label: "Venezuela",
        value: "290"
    }, {
        label: "Saudi",
        value: "260"
    }, {
        label: "Canada",
        value: "180"
    }, {
        label: "Iran",
        value: "140"
    }, {
        label: "Russia",
        value: "115"
    }, {
        label: "UAE",
        value: "100"
    }, {
        label: "US",
        value: "30"
    }, {
        label: "China",
        value: "30"
    }];
    //STEP 3 - Chart Configurations
    const chartConfigs = {
        type: "column2d",
        width: "700",
        height: "400",
        dataFormat: "json",
        dataSource: {
            // Chart Configuration
            "chart": {
                "caption": "Countries With Most Oil Reserves [2017-18]",
                "subCaption": "In MMbbl = One Million barrels",
                "xAxisName": "Country",
                "yAxisName": "Reserves (MMbbl)",
                "numberSuffix": "K",
                "theme": "fusion",
            },
            // Chart Data
            "data": chartData
        }
    }
    $("#chart-container").insertFusionCharts(chartConfigs);
});


Step 2: Specify the chart container within the index.html file.

<!DOCTYPE html>
<html>
  <head>
    <title>Getting Started</title>
  </head>
  <body>
    <div id="chart-container">Fusioncharts will render here</div>
    <script src="main.js"></script>
  </body>
</html>

Step 3: Run npx webpack command in the terminal. Once the build is successful, open the index.html file to see your chart.

See your chart

You should be able to see the chart as shown below.

FusionCharts will load here..

If you are getting a JavaScript error on your page, check your browser console for the exact error and fix it accordingly. If you're unable to solve it, click here to get in touch with our support team.

That's it! Your first chart using jquery-fusioncharts is ready.

Create a Chart in Vue 3 Using FusionCharts

FusionCharts is a JavaScript charting library for creating interactive charts, gauges, maps, and dashboards. The vue-fusioncharts component provides Vue bindings that make it easier to add FusionCharts visualizations to Vue applications.

In this tutorial, you will create a Vue 3 application with Vite and render an interactive column chart using FusionCharts.

Prerequisites

Before you begin, make sure you have the following installed:

  • A current Node.js version
  • npm
  • A code editor such as Visual Studio Code
  • Basic knowledge of Vue components and JavaScript

You can check your installed Node.js and npm versions by running:

node --version
npm --version

Create a Vue 3 Project with Vite

Vue recommends using its official create-vue scaffolding tool to create new Vue applications. The generated project uses Vite as its development and build tool.

Open a terminal and run:

npm create vue@latest

When prompted for a project name, enter:

fusioncharts-vue-demo

You can accept the default options for this tutorial. TypeScript, Vue Router, Pinia, testing tools, ESLint, and Prettier are optional and are not required for this example.

When prompted to skip the example code and start with a blank Vue project, select Yes. This creates a cleaner project structure for the chart example.

Move into the project directory:

cd fusioncharts-vue-demo

Install the project dependencies:

npm install

Start the Vite development server:

npm run dev

Vite will display a local development URL, usually:

http://localhost:5173/
npm install -g @vue/cli

Open the URL in your browser to view the Vue application.

For more details about creating a Vue application with Vite, refer to the official Vue 3 Quick Start Guide.

Install FusionCharts and the Vue Wrapper

Stop the development server if it is running, and install the fusioncharts and vue-fusioncharts packages:

npm install fusioncharts vue-fusioncharts

The packages serve different purposes:

  • fusioncharts provides the charting library, chart types, themes, maps, and widgets.
  • vue-fusioncharts provides the Vue component used to render FusionCharts in a Vue application.

Register FusionCharts in the Vue Application

Open src/main.js and replace its contents with the following code:

import { createApp } from 'vue';
import App from './App.vue';

import VueFusionCharts from 'vue-fusioncharts';
import FusionCharts from 'fusioncharts';
import Charts from 'fusioncharts/fusioncharts.charts';
import FusionTheme from 'fusioncharts/themes/fusioncharts.theme.fusion';

import './assets/main.css';

const app = createApp(App);

app.use(
  VueFusionCharts,
  FusionCharts,
  Charts,
  FusionTheme
);

app.mount('#app');

This code performs the following steps:

  1. Imports Vue’s createApp function.
  2. Imports the root App component.
  3. Imports the Vue FusionCharts wrapper.
  4. Imports the FusionCharts core library.
  5. Imports the standard FusionCharts chart module.
  6. Imports the Fusion theme.
  7. Registers the FusionCharts Vue component globally.
  8. Mounts the Vue application to the page.

After global registration, you can use the <fusioncharts> component anywhere in the application.

Preparing the Chart Data

In this example, you will create a column chart showing monthly website traffic.

The chart will contain the following data:

Country No. of Oil Reserves
January 42,000
February 48,500
March 53,000
April 61,500
May 68,000
June 76,500

A FusionCharts data source normally contains two main sections:

  • chart: Defines chart captions, axes, number formatting, appearance, and other settings.
  • data: Contains the labels and values displayed in the chart.

Create the Chart Component

Open src/App.vue and replace its contents with the following code:

<script setup>
const chartType = 'column2d';
const chartWidth = '100%';
const chartHeight = '420';
const dataFormat = 'json';

const dataSource = {
  chart: {
    caption: 'Monthly Website Traffic',
    subCaption: 'January to June 2026',
    xAxisName: 'Month',
    yAxisName: 'Website visits',
    numberSuffix: '',
    formatNumberScale: '0',
    showValues: '1',
    usePlotGradientColor: '0',
    showPlotBorder: '0',
    animation: '1',
    theme: 'fusion'
  },
  data: [
    {
      label: 'January',
      value: '42000'
    },
    {
      label: 'February',
      value: '48500'
    },
    {
      label: 'March',
      value: '53000'
    },
    {
      label: 'April',
      value: '61500'
    },
    {
      label: 'May',
      value: '68000'
    },
    {
      label: 'June',
      value: '76500'
    }
  ]
};
</script>

<template>
  <main class="chart-page">
    <section class="chart-container">
      <h1>Vue 3 FusionCharts Example</h1>

      <p>
        This column chart displays monthly website traffic for the first six
        months of 2026.
      </p>

      <fusioncharts
        :type="chartType"
        :width="chartWidth"
        :height="chartHeight"
        :data-format="dataFormat"
        :data-source="dataSource"
      />
    </section>
  </main>
</template>

<style scoped>
.chart-page {
  min-height: 100vh;
  padding: 40px 20px;
  background: #f5f7fa;
}

.chart-container {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 28px;
  background: #ffffff;
  box-shadow: 0 8px 24px rgb(0 0 0 / 8%);
}

h1 {
  margin-top: 0;
  margin-bottom: 12px;
  font-size: 2rem;
}

p {
  margin-bottom: 28px;
  color: #4b5563;
}
</style>

This example uses Vue 3’s <script setup> syntax. Variables declared in the <script setup> block are automatically available in the component template.

Update the Global CSS

The default Vue starter styles may restrict the width of the application. Open src/assets/main.css and replace its contents with the following styles.

Note: If the src/assets/main.css file does not exist in your project, create it and add the following styles. Then import it in main.js if it’s not done (import './assets/main.css';).

* {
  box-sizing: border-box;
}

html,
body,
#app {
  width: 100%;
  min-height: 100%;
  margin: 0;
}

body {
  min-width: 320px;
  font-family:
    Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont,
    "Segoe UI", sans-serif;
}

This ensures that the chart can use the available width of its container.

Run the Vue Application

Start the development server:

npm run dev

Open the local URL displayed in the terminal, usually:

http://localhost:5173/

You should now see an interactive column chart showing monthly website traffic.

FusionCharts will load here..

How the FusionCharts Component Works

The chart is rendered through the <fusioncharts> Vue component:

<fusioncharts
  :type="chartType"
  :width="chartWidth"
  :height="chartHeight"
  :data-format="dataFormat"
  :data-source="dataSource"
/>

The component receives the following properties:

type

Specifies the chart type to render.

const chartType = 'column2d';

For a complete list of available chart types, see the FusionCharts Chart Gallery.

The required FusionCharts modules must be registered before their corresponding chart types can be used.

width

Controls the chart width.

const chartWidth = '100%';

Using 100% makes the chart adapt to the width of its parent container.

height

Controls the chart height.

const chartHeight = '420';

data-format

Defines the format of the chart data.

const dataFormat = 'json';

This example uses JSON data.

data-source

Provides the chart configuration and data:

const dataSource = {
  chart: {
    caption: 'Monthly Website Traffic',
    theme: 'fusion'
  },
  data: [
    {
      label: 'January',
      value: '42000'
    }
  ]
};

Because dataSource is bound with Vue’s: syntax, updates to reactive chart data can also update the rendered chart.

Project Structure

After completing the tutorial, the relevant project files should look like this:

fusioncharts-vue-demo/
├── src/
│   ├── assets/
│   │   └── main.css
│   ├── App.vue
│   └── main.js
├── index.html
├── package.json
└── vite.config.js

Build the Application for Production

To create a production build, run:

npm run build

Vite will generate the optimized application files in the dist directory.

You can preview the production build locally by running:

npm run preview

Troubleshooting

The fusioncharts component cannot be resolved

An error similar to the following means the Vue FusionCharts plugin has not been registered correctly:

Failed to resolve component: fusioncharts

Check that src/main.js contains:

app.use(
  VueFusionCharts,
  FusionCharts,
  Charts,
  FusionTheme
);

Also confirm that the application is mounted after plugin registration:

app.mount('#app');

The chart container is blank

Check the following:

  • fusioncharts and vue-fusioncharts are installed.
  • The chart module has been imported.
  • The chart type is valid.
  • The data source contains a chart object and a data array.
  • Each data item contains valid label and value properties.
  • The chart has a valid height.

You can confirm that the packages are installed by running:

npm list fusioncharts vue-fusioncharts

The Fusion theme is not applied

Make sure the Fusion theme is imported:

import FusionTheme from 'fusioncharts/themes/fusioncharts.theme.fusion';

It must also be passed when registering the plugin:

app.use(
  VueFusionCharts,
  FusionCharts,
  Charts,
  FusionTheme
);

Finally, include the theme in the chart configuration:

chart: {
  theme: 'fusion'
};

The chart does not use the full page width

Set the chart width to 100%:

const chartWidth = '100%';

Also check that the chart’s parent container does not have an overly restrictive fixed width.

Next Steps

You have now created an interactive FusionCharts chart in a Vue 3 application powered by Vite.

You can continue by learning how to:

  • Render different chart types
  • Update chart data dynamically
  • Handle FusionCharts events in Vue
  • Add drill-down behavior
  • Export charts as images or PDFs
  • Create maps, gauges, and dashboards
  • Visualize time-series data with FusionTime

Create a Chart in SvelteJS Using FusionCharts

FusionCharts is a JavaScript charting library that lets you create interactive charts, gauges, maps, and dashboards using JavaScript. We have built a simple and lightweight SvelteJS directive, which provides bindings for svelte-fusioncharts and lets you add JavaScript charts in your Svelte application or project without any hassle.

In this page, you will see how to install FusionCharts and render a chart using the svelte-fusioncharts directive.

Prerequisite

Before you begin, make sure your development environment includes Node.js and an npm package manager. SvelteJS requires Node.js version 10.9.0 or later. To download and install Node.js, please visit nodejs.org.

You need to have a Svelte project set up before proceeding any further. If not, you can follow the steps mentioned below, to initiate the project.

Open a new terminal and execute the following command:

npx degit sveltejs/template my-first-svelte-project

The above command creates a new project folder named my-first-svelte-project, and downloads the svelte default project template into that folder. Before running the project, we need to make sure that all needed development dependencies are being installed.

cd my-first-svelte-project
npm install

Open the terminal and enter npm run dev to serve your app on localhost:5000.

Installing and Including Dependencies

To install fusioncharts and the svelte-fusioncharts directive via npm follow the steps below:

Install svelte-fusioncharts and fusioncharts libraries with the following command:

npm install svelte-fusioncharts fusioncharts --save

After installing the FusionCharts components, you can replace the code in App.svelte file with the code shown in the steps below to create your first chart. Import all the required dependencies in the <script> tag to get started.

<script>
  //Import the Fusioncharts library
  import FusionCharts from "fusioncharts";

  //Import the chart modules
  import Charts from "fusioncharts/fusioncharts.charts";

  //Import the theme as fusion
  import FusionTheme from "fusioncharts/themes/fusioncharts.theme.fusion";

  //Import the Svelte component
  import SvelteFC, { fcRoot } from "svelte-fusioncharts";

  // Always set FusionCharts as the first parameter
  fcRoot(FusionCharts, Charts, FusionTheme);
</script>

That completes the installation of FusionCharts and the svelte-fusioncharts directive.

Preparing the Data

Let's create a chart showing the "Countries with Most Oil Reserves". The data of the oil reserves present in various countries is shown in tabular form below.

Country No. of Oil Reserves
Venezuela 290K
Saudi 260K
Canada 180K
Iran 140K
Russia 115K
UAE 100K
US 30K
China 30K

Since we are plotting a single dataset, let us create a column 2D chart with 'Countries' as data labels along X-axis and 'No. of Oil Reserves' as data values along Y-axis. Let us prepare the data for a single-series chart.

FusionCharts accepts the data in JSON format. Include the data object in the <script> tag of App.svelte file. So the above data in the tabular form will look as follows:

// Preparing the chart data
const chartData = [
  { label: "Venezuela", value: "290" },
  { label: "Saudi", value: "260" },
  { label: "Canada", value: "180" },
  { label: "Iran", value: "140" },
  { label: "Russia", value: "115" },
  { label: "UAE", value: "100" },
  { label: "US", value: "30" },
  { label: "China", value: "30" }
];

Configure Your Chart

Now that the data is ready, let's work on the styling, positioning and giving your chart a context.

Store the chart configurations in a JSON object. In this JSON object:

//Create your configuration object
const chartConfigs = {
  type: "column2d", //Select the chart type
  width: 600, //Set the width of the chart
  height: 400, //Set the height of the chart
  dataFormat: "json", //Set the input dataFormat to json
  dataSource: {
    chart: {
      caption: "Countries With Most Oil Reserves [2017-18]", //Set the caption to your chart
      subCaption: "In MMbbl = One Million Barrels", //Set a sub-caption to your chart
      xAxisName: "Country", //Assign a relevant name to your x-axis
      yAxisName: "Reserves (MMbbl)", //Assign a relevant name to your y-axis
      numberSuffix: "K",
      theme: "fusion" //Apply a theme to your chart
    },
    //Include chartData from STEP 2
    data: chartData
  }
};

Render the Chart

Finally, get ready to render your first chart. Follow the steps mentioned below:

Step 1: In App.svelte include the necessary files and import the fusioncharts dependency.

Store the chart configurations in a JSON object.

The consolidated code is shown below:

<script>
  import FusionCharts from "fusioncharts";
  import Charts from "fusioncharts/fusioncharts.charts";
  import FusionTheme from "fusioncharts/themes/fusioncharts.theme.fusion";
  import SvelteFC, { fcRoot } from "svelte-fusioncharts";

  // Always set FusionCharts as the first parameter
  fcRoot(FusionCharts, Charts, FusionTheme);
  //STEP 2 : preparing the chart Data
  const chartData = [
    { label: "Venezuela", value: "290" },
    { label: "Saudi", value: "260" },
    { label: "Canada", value: "180" },
    { label: "Iran", value: "140" },
    { label: "Russia", value: "115" },
    { label: "UAE", value: "100" },
    { label: "US", value: "30" },
    { label: "China", value: "30" }
  ];

  //STEP 3: Create your configuration object
  const chartConfigs = {
    type: "column2d", //Select the chart type
    width: 600, //Set the width of the chart
    height: 400, //Set the height of the chart
    dataFormat: "json", //Set the input dataFormat to json
    dataSource: {
      chart: {
        caption: "Countries With Most Oil Reserves [2017-18]",
        subCaption: "In MMbbl = One Million barrels",
        xAxisName: "Country", //Assign a relevant name to your x-axis
        yAxisName: "Reserves (MMbbl)", //Assign a relevant name to your y-axis
        numberSuffix: "K",
        theme: "fusion" //Apply a theme to your chart
      },
      //Include chartData from STEP 2
      data: chartData
    }
  };
</script>

<SvelteFC {...chartConfigs} />

Step 2: Export the app from main.js.

import App from "./App.svelte";
var app = new App({
  target: document.body
});

export default app;

Step 3: Run npm run dev command in the terminal. Once the build is successful, open the localhost file to see your chart.

See Your Chart

You should be able to see the chart as shown below.

FusionCharts will load here..

If you are getting a JavaScript error on your page, check your browser console for the exact error and fix accordingly. If you're unable to solve it, click here to get in touch with our support team.

That's it! Your first chart using svelte-fusioncharts is ready.

Create a Chart in React using FusionCharts

Introduction

FusionCharts is a JavaScript charting library that enables you to create interactive charts, gauges, maps and dashboards. We have built a simple and lightweight React component that provides bindings for FusionCharts. The react-fusioncharts component allows you to easily add rich and interactive charts to any React project.

On this page, you'll see how to install FusionCharts and render a chart using the react-fusionCharts component.

Setting up a React project

Before starting a React project, it's essential to create a setup that streamlines the whole project-making process. One of the best ways to set up the development environment for charts in Reactjs is by using create-react-app. Find more about it here.

After understanding all about using the react app, the next step is to initiate the process. Here are the steps on how you can do it.

Open the terminal, go ahead and enter:

npx create-react-app first-fusioncharts-project
cd first-fusioncharts-project
npm start

first-fusioncharts-project is the working directory where React Boilerplate will be installed along with all the utilities and dependencies.

The working directory should contain a package.json. If the package is not present, you can create it using the npm init -y command.

Now, open http://localhost:3000/ to see your React app.

Installation and including dependencies

Install the react-fusioncharts and fusioncharts modules using the following command:

npm install fusioncharts react-fusioncharts --save

After installing the fusioncharts components, you can replace the code in App.js file with the code shown in the steps below to create your first chart. Import all the required dependencies to get started.

// Step 1 - Include react
import React from "react";

// Step 2 - Include the react-fusioncharts component
import ReactFC from "react-fusioncharts";

// Step 3 - Include the fusioncharts library
import FusionCharts from "fusioncharts";

// Step 4 - Include the chart type
import Column2D from "fusioncharts/fusioncharts.charts";

// Step 5 - Include the theme as fusion
import FusionTheme from "fusioncharts/themes/fusioncharts.theme.fusion";

// Step 6 - Adding the chart and theme as dependency to the core fusioncharts
ReactFC.fcRoot(FusionCharts, Column2D, FusionTheme);

Preparing the data

Let's create a chart showing the "Countries With Most Oil Reserves". The data of the oil reserves present in various countries is shown in the tabular form below.

Country No. of Oil Reserves
Venezuela 290K
Saudi 260K
Canada 180K
Iran 140K
Russia 115K
UAE 100K
US 30K
China 30K

Since we are plotting a single dataset, let us create a column 2D chart with 'countries' as data labels along x-axis and 'No. of oil reserves' as data values along y-axis. Let us prepare the data for a single-series chart.

FusionCharts accepts the data in JSON format. So the above data in the tabular form will take the below shape.

// Preparing the chart data
const chartData = [
  {
    label: "Venezuela",
    value: "290"
  },
  {
    label: "Saudi",
    value: "260"
  },
  {
    label: "Canada",
    value: "180"
  },
  {
    label: "Iran",
    value: "140"
  },
  {
    label: "Russia",
    value: "115"
  },
  {
    label: "UAE",
    value: "100"
  },
  {
    label: "US",
    value: "30"
  },
  {
    label: "China",
    value: "30"
  }
];

Configure your chart

Now that the data is ready, let's work on the styling, positioning and giving your chart in reactjs a context.

// Create a JSON object to store the chart configurations
const chartConfigs = {
  type: "column2d", // The chart type
  width: "700", // Width of the chart
  height: "400", // Height of the chart
  dataFormat: "json", // Data type
  dataSource: {
    // Chart Configuration
    chart: {
      caption: "Countries With Most Oil Reserves [2017-18]",    //Set the chart caption
      subCaption: "In MMbbl = One Million barrels",             //Set the chart subcaption
      xAxisName: "Country",           //Set the x-axis name
      yAxisName: "Reserves (MMbbl)",  //Set the y-axis name
      numberSuffix: "K",
      theme: "fusion"                 //Set the theme for your chart
    },
    // Chart Data - from step 2
    data: chartData
  }
};

The 'type' attribute in the chartConfigs object signifies the type of chart being rendered. Have a look at different chart types with their aliases here.

Render the chart

Get ready to render your first chart finally. Use this consolidated code shown below:

// STEP 1 - Include Dependencies
// Include react
import React from "react";
import ReactDOM from "react-dom";

// Include the react-fusioncharts component
import ReactFC from "react-fusioncharts";

// Include the fusioncharts library
import FusionCharts from "fusioncharts";

// Include the chart type
import Column2D from "fusioncharts/fusioncharts.charts";

// Include the theme as fusion
import FusionTheme from "fusioncharts/themes/fusioncharts.theme.fusion";

// Adding the chart and theme as dependency to the core fusioncharts
ReactFC.fcRoot(FusionCharts, Column2D, FusionTheme);

// STEP 2 - Chart Data
const chartData = [
  {
    label: "Venezuela",
    value: "290"
  },
  {
    label: "Saudi",
    value: "260"
  },
  {
    label: "Canada",
    value: "180"
  },
  {
    label: "Iran",
    value: "140"
  },
  {
    label: "Russia",
    value: "115"
  },
  {
    label: "UAE",
    value: "100"
  },
  {
    label: "US",
    value: "30"
  },
  {
    label: "China",
    value: "30"
  }
];

// STEP 3 - Creating the JSON object to store the chart configurations
const chartConfigs = {
  type: "column2d", // The chart type
  width: "700", // Width of the chart
  height: "400", // Height of the chart
  dataFormat: "json", // Data type
  dataSource: {
    // Chart Configuration
    chart: {
      //Set the chart caption
      caption: "Countries With Most Oil Reserves [2017-18]",
      //Set the chart subcaption
      subCaption: "In MMbbl = One Million barrels",
      //Set the x-axis name
      xAxisName: "Country",
      //Set the y-axis name
      yAxisName: "Reserves (MMbbl)",
      numberSuffix: "K",
      //Set the theme for your chart
      theme: "fusion"
    },
    // Chart Data
    data: chartData
  }
};

// STEP 4 - Creating the DOM element to pass the react-fusioncharts component
class App extends React.Component {
  render() {
    return (<ReactFC {...chartConfigs} />);
  }
}

export default App;

See your chart

You should be able to see the chart as shown below.

FusionCharts will load here..

If you are getting a JavaScript error on your page, check your browser console for the exact error and fix accordingly. If you're unable to solve it, click here to get in touch with our support team.

That's it! Your first chart using react-fusioncharts is ready.

Enhance Your Charts in Reactjs with FusionCharts

FusionCharts emerges as the ultimate solution for developers searching to harness the power of data visualization in ReactJS applications. Its seamless integration with React through the react-fusion charts component empowers developers to create stunning and interactive charts in Reactjs effortlessly. With unparalleled customization options, export capabilities, and seamless integration, FusionCharts is your go-to platform for transforming simple data comparable charts.

Don't miss out on the opportunity to transform your data into actionable insights with FusionCharts. Explore FusionCharts now and take your data visualization to new heights!

Transform Your React Projects with FusionCharts

Ready to add interactive charts to your React projects? Get started with FusionCharts today! Visit our website to explore our documentation, tutorials, and examples. Unleash the power of data visualization in your applications.

Get started with FusionCharts.

FAQs

Can I customize the appearance of FusionCharts in my React project?

Yes, you can customize various aspects of charts in reactjs with FusionCharts, such as colors, fonts, tooltips, and animations, to match the design of your react application. Refer to our documentation for detailed customization options.

Can I export FusionCharts as images or PDFs from my React application?

FusionCharts provides built-in support for exporting charts as images (PNG, JPEG) or PDF documents directly from the browser. You can enable export functionality with a few simple configurations.

How do I troubleshoot JavaScript errors with FusionCharts?

Check your browser console for exact error messages if you encounter JavaScript errors while using FusionCharts. For common issues and solutions, refer to our troubleshooting guide.

Can I integrate FusionCharts with state management libraries like Redux in React?

Yes, you can integrate FusionCharts with state management libraries like Redux to manage the state of your charts in reactjs within a React application. Check out our documentation for examples and best practices.